from peewee import Model, BigIntegerField, CharField

from load import db


class Users(Model):
    user_id = BigIntegerField(null=False)
    first_name = CharField(64)
    last_name = CharField(64, null=True)
    username = CharField(32, null=True)

    tag = CharField()
    nickname = CharField()
    townhall = BigIntegerField()
    attackwins = BigIntegerField()

    class Meta:
        database = db